PETSc version 3.15.5
Fix/Edit manual page

# MatFDColoringSetBlockSize

Sets block size for efficient inserting entries of Jacobian matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetBlockSize(MatFDColoring matfd,PetscInt brows,PetscInt bcols)

Logically Collective on MatFDColoring

### Input Parameters

| coloring | - the coloring context
| brows | - number of rows in the block
| bcols | - number of columns in the block

### See Also

MatFDColoringCreate(), MatFDColoringSetFromOptions()

### Level

intermediate

### Location

src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages